ApiClient (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.client

## Class ApiClient

- java.lang.Object
- - com.cloudera.api.swagger.client.ApiClient

-     public class ApiClient
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiClient()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClient` | `addDefaultHeader(String key, String value)` Add a default header.
    `okhttp3.Call` | `buildCall(String path, String method, List<Pair> queryParams, List<Pair> collectionQueryParams, Object body, Map<String,String> headerParams, Map<String,Object> formParams, String[] authNames, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build HTTP call with the given options.
    `okhttp3.Request` | `buildRequest(String path, String method, List<Pair> queryParams, List<Pair> collectionQueryParams, Object body, Map<String,String> headerParams, Map<String,Object> formParams, String[] authNames, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build an HTTP request with the given options.
    `File` | `downloadFileFromResponse(okhttp3.Response response)` Download file from the given response.
    `String` | `escapeString(String str)` Escape the given string to be used as URL query value.
    `<T> ApiResponse<T>` | `execute(okhttp3.Call call)` `execute(Call, Type)`
    `<T> ApiResponse<T>` | `execute(okhttp3.Call call, Type returnType)` Execute HTTP call and deserialize the HTTP response body into the given return type.
    `<T> void` | `executeAsync(okhttp3.Call call, ApiCallback<T> callback)` `executeAsync(Call, Type, ApiCallback)`
    `<T> void` | `executeAsync(okhttp3.Call call, Type returnType, ApiCallback<T> callback)` Execute HTTP call asynchronously.
    `Authentication` | `getAuthentication(String authName)` Get authentication for the given name.
    `Map<String,Authentication>` | `getAuthentications()` Get authentications (key: authentication name, value: authentication).
    `String` | `getBasePath()` Get base path
    `DateFormat` | `getDateFormat()`
    `okhttp3.OkHttpClient` | `getHttpClient()` Get HTTP client Use to update with modification for e.g.
    `JSON` | `getJSON()` Get JSON
    `String` | `getTempFolderPath()` The path of temporary folder used to store downloaded files from endpoints with file response.
    `boolean` | `isDebugging()` Check that whether debugging is enabled for this API client.
    `boolean` | `isJsonMime(String mime)` Check if the given MIME is a JSON MIME.
    `List<Pair>` | `parameterToPair(String name, Object value)` Formats the specified query parameter to a list containing a single `Pair` object.
    `List<Pair>` | `parameterToPairs(String collectionFormat, String name, Collection value)` Formats the specified collection query parameters to a list of `Pair` objects.
    `String` | `parameterToString(Object param)` Format the given parameter object into string.
    `File` | `prepareDownloadFile(okhttp3.Response response)` Prepare file for download
    `String` | `sanitizeFilename(String filename)` Sanitize filename by removing path.
    `String` | `selectHeaderAccept(String[] accepts)` Select the Accept header's value from the given accepts array: if JSON exists in the given array, use it; otherwise use all of them (joining into a string)
    `String` | `selectHeaderContentType(String[] contentTypes)` Select the Content-Type header's value from the given array: if JSON exists in the given array, use it; otherwise use the first one of the array.
    `void` | `setAccessToken(String accessToken)` Helper method to set access token for the first OAuth2 authentication.
    `void` | `setApiKey(String apiKey)` Helper method to set API key value for the first API key authentication.
    `void` | `setApiKeyPrefix(String apiKeyPrefix)` Helper method to set API key prefix for the first API key authentication.
    `ApiClient` | `setBasePath(String basePath)` Set base path
    `ApiClient` | `setDateFormat(DateFormat dateFormat)`
    `ApiClient` | `setDebugging(boolean debugging)` Enable/disable debugging for this API client.
    `ApiClient` | `setHttpClient(okhttp3.OkHttpClient httpClient)` Set HTTP client Update with a modified instance using for e.g.
    `ApiClient` | `setJSON(JSON json)` Set JSON
    `ApiClient` | `setLenientOnJson(boolean lenientOnJson)`
    `ApiClient` | `setLocalDateFormat(DateTimeFormatter dateFormat)`
    `ApiClient` | `setOffsetDateTimeFormat(DateTimeFormatter dateFormat)`
    `void` | `setPassword(String password)` Helper method to set password for the first HTTP basic authentication.
    `ApiClient` | `setSqlDateFormat(DateFormat dateFormat)`
    `ApiClient` | `setTempFolderPath(String tempFolderPath)` Set the temporary folder path (for downloading files)
    `ApiClient` | `setUserAgent(String userAgent)` Set the User-Agent header's value (by adding to the default header map).
    `void` | `setUsername(String username)` Helper method to set username for the first HTTP basic authentication.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiClient

          public ApiClient()

  - ### Method Detail

    - #### getBasePath

          public String getBasePath()

      Get base path
      Returns:
        Baes path

    - #### setBasePath

          public ApiClient setBasePath(String basePath)

      Set base path
      Parameters:
        `basePath` - Base path of the URL (e.g /api/v57
      Returns:
        An instance of OkHttpClient

    - #### getHttpClient

          public okhttp3.OkHttpClient getHttpClient()

      Get HTTP client Use to update with modification for e.g. setHttpClient(getHttpClient.newBuilder().readTimeout(5, TimeUnit.SECONDS).build())
      Returns:
        An instance of OkHttpClient

    - #### setHttpClient

          public ApiClient setHttpClient(okhttp3.OkHttpClient httpClient)

      Set HTTP client Update with a modified instance using for e.g. setHttpClient(getHttpClient.newBuilder().readTimeout(5, TimeUnit.SECONDS).build())
      Parameters:
        `httpClient` - An instance of OkHttpClient
      Returns:
        Api Client

    - #### getJSON

          public JSON getJSON()

      Get JSON
      Returns:
        JSON object

    - #### setJSON

          public ApiClient setJSON(JSON json)

      Set JSON
      Parameters:
        `json` - JSON object
      Returns:
        Api client

    - #### getDateFormat

          public DateFormat getDateFormat()

    - #### setDateFormat

          public ApiClient setDateFormat(DateFormat dateFormat)

    - #### setSqlDateFormat

          public ApiClient setSqlDateFormat(DateFormat dateFormat)

    - #### setOffsetDateTimeFormat

          public ApiClient setOffsetDateTimeFormat(DateTimeFormatter dateFormat)

    - #### setLocalDateFormat

          public ApiClient setLocalDateFormat(DateTimeFormatter dateFormat)

    - #### setLenientOnJson

          public ApiClient setLenientOnJson(boolean lenientOnJson)

    - #### getAuthentications

          public Map<String,Authentication> getAuthentications()

      Get authentications (key: authentication name, value: authentication).
      Returns:
        Map of authentication objects

    - #### getAuthentication

          public Authentication getAuthentication(String authName)

      Get authentication for the given name.
      Parameters:
        `authName` - The authentication name
      Returns:
        The authentication, null if not found

    - #### setUsername

          public void setUsername(String username)

      Helper method to set username for the first HTTP basic authentication.
      Parameters:
        `username` - Username

    - #### setPassword

          public void setPassword(String password)

      Helper method to set password for the first HTTP basic authentication.
      Parameters:
        `password` - Password

    - #### setApiKey

          public void setApiKey(String apiKey)

      Helper method to set API key value for the first API key authentication.
      Parameters:
        `apiKey` - API key

    - #### setApiKeyPrefix

          public void setApiKeyPrefix(String apiKeyPrefix)

      Helper method to set API key prefix for the first API key authentication.
      Parameters:
        `apiKeyPrefix` - API key prefix

    - #### setAccessToken

          public void setAccessToken(String accessToken)

      Helper method to set access token for the first OAuth2 authentication.
      Parameters:
        `accessToken` - Access token

    - #### setUserAgent

          public ApiClient setUserAgent(String userAgent)

      Set the User-Agent header's value (by adding to the default header map).
      Parameters:
        `userAgent` - HTTP request's user agent
      Returns:
        ApiClient

    - #### addDefaultHeader

          public ApiClient addDefaultHeader(String key,
                                            String value)

      Add a default header.
      Parameters:
        `key` - The header's key
        `value` - The header's value
      Returns:
        ApiClient

    - #### isDebugging

          public boolean isDebugging()

      Check that whether debugging is enabled for this API client.
      Returns:
        True if debugging is enabled, false otherwise.

    - #### setDebugging

          public ApiClient setDebugging(boolean debugging)

      Enable/disable debugging for this API client.
      Parameters:
        `debugging` - To enable (true) or disable (false) debugging
      Returns:
        ApiClient

    - #### getTempFolderPath

          public String getTempFolderPath()

      The path of temporary folder used to store downloaded files from endpoints with file response. The default value is `null`, i.e. using the system's default tempopary folder.
      Returns:
        Temporary folder path
      See Also:
        createTempFile

    - #### setTempFolderPath

          public ApiClient setTempFolderPath(String tempFolderPath)

      Set the temporary folder path (for downloading files)
      Parameters:
        `tempFolderPath` - Temporary folder path
      Returns:
        ApiClient

    - #### parameterToString

          public String parameterToString(Object param)

      Format the given parameter object into string.
      Parameters:
        `param` - Parameter
      Returns:
        String representation of the parameter

    - #### parameterToPair

          public List<Pair> parameterToPair(String name,
                                            Object value)

      Formats the specified query parameter to a list containing a single `Pair` object. Note that `value` must not be a collection.
      Parameters:
        `name` - The name of the parameter.
        `value` - The value of the parameter.
      Returns:
        A list containing a single `Pair` object.

    - #### parameterToPairs

          public List<Pair> parameterToPairs(String collectionFormat,
                                             String name,
                                             Collection value)

      Formats the specified collection query parameters to a list of `Pair` objects. Note that the values of each of the returned Pair objects are percent-encoded.
      Parameters:
        `collectionFormat` - The collection format of the parameter.
        `name` - The name of the parameter.
        `value` - The value of the parameter.
      Returns:
        A list of `Pair` objects.

    - #### sanitizeFilename

          public String sanitizeFilename(String filename)

      Sanitize filename by removing path. e.g. ../../sun.gif becomes sun.gif
      Parameters:
        `filename` - The filename to be sanitized
      Returns:
        The sanitized filename

    - #### isJsonMime

          public boolean isJsonMime(String mime)

      Check if the given MIME is a JSON MIME. JSON MIME examples: application/json application/json; charset=UTF8 APPLICATION/JSON application/vnd.company+json "* / *" is also default to JSON
      Parameters:
        `mime` - MIME (Multipurpose Internet Mail Extensions)
      Returns:
        True if the given MIME is JSON, false otherwise.

    - #### selectHeaderAccept

          public String selectHeaderAccept(String[] accepts)

      Select the Accept header's value from the given accepts array: if JSON exists in the given array, use it; otherwise use all of them (joining into a string)
      Parameters:
        `accepts` - The accepts array to select from
      Returns:
        The Accept header to use. If the given array is empty, null will be returned (not to set the Accept header explicitly).

    - #### selectHeaderContentType

          public String selectHeaderContentType(String[] contentTypes)

      Select the Content-Type header's value from the given array: if JSON exists in the given array, use it; otherwise use the first one of the array.
      Parameters:
        `contentTypes` - The Content-Type array to select from
      Returns:
        The Content-Type header to use. If the given array is empty, or matches "any", JSON will be used.

    - #### escapeString

          public String escapeString(String str)

      Escape the given string to be used as URL query value.
      Parameters:
        `str` - String to be escaped
      Returns:
        Escaped string

    - #### downloadFileFromResponse

          public File downloadFileFromResponse(okhttp3.Response response)
                                        throws ApiException

      Download file from the given response.
      Parameters:
        `response` - An instance of the Response object
      Returns:
        Downloaded file
      Throws:
        `ApiException` - If fail to read file content from response and write to disk

    - #### prepareDownloadFile

          public File prepareDownloadFile(okhttp3.Response response)
                                   throws IOException

      Prepare file for download
      Parameters:
        `response` - An instance of the Response object
      Returns:
        Prepared file for the download
      Throws:
        `IOException` - If fail to prepare file for download

    - #### execute

          public <T> ApiResponse<T> execute(okhttp3.Call call)
                                     throws ApiException

      `execute(Call, Type)`
      Type Parameters:
        `T` - Type
      Parameters:
        `call` - An instance of the Call object
      Returns:
        ApiResponse<T>
      Throws:
        `ApiException` - If fail to execute the call

    - #### execute

          public <T> ApiResponse<T> execute(okhttp3.Call call,
                                            Type returnType)
                                     throws ApiException

      Execute HTTP call and deserialize the HTTP response body into the given return type.
      Type Parameters:
        `T` - The return type corresponding to (same with) returnType
      Parameters:
        `returnType` - The return type used to deserialize HTTP response body
        `call` - Call
      Returns:
        ApiResponse object containing response status, headers and data, which is a Java object deserialized from response body and would be null when returnType is null.
      Throws:
        `ApiException` - If fail to execute the call

    - #### executeAsync

          public <T> void executeAsync(okhttp3.Call call,
                                       ApiCallback<T> callback)

      `executeAsync(Call, Type, ApiCallback)`
      Type Parameters:
        `T` - Type
      Parameters:
        `call` - An instance of the Call object
        `callback` - ApiCallback<T>

    - #### executeAsync

          public <T> void executeAsync(okhttp3.Call call,
                                       Type returnType,
                                       ApiCallback<T> callback)

      Execute HTTP call asynchronously.
      Type Parameters:
        `T` - Type
      Parameters:
        `call` - The callback to be executed when the API call finishes
        `returnType` - Return type
        `callback` - ApiCallback
      See Also:
        `execute(Call, Type)`

    - #### buildCall

          public okhttp3.Call buildCall(String path,
                                        String method,
                                        List<Pair> queryParams,
                                        List<Pair> collectionQueryParams,
                                        Object body,
                                        Map<String,String> headerParams,
                                        Map<String,Object> formParams,
                                        String[] authNames,
                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                 throws ApiException

      Build HTTP call with the given options.
      Parameters:
        `path` - The sub-path of the HTTP URL
        `method` - The request method, one of "GET", "HEAD", "OPTIONS", "POST", "PUT", "PATCH" and "DELETE"
        `queryParams` - The query parameters
        `collectionQueryParams` - The collection query parameters
        `body` - The request body object
        `headerParams` - The header parameters
        `formParams` - The form parameters
        `authNames` - The authentications to apply
        `progressRequestListener` - Progress request listener
      Returns:
        The HTTP call
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### buildRequest

          public okhttp3.Request buildRequest(String path,
                                              String method,
                                              List<Pair> queryParams,
                                              List<Pair> collectionQueryParams,
                                              Object body,
                                              Map<String,String> headerParams,
                                              Map<String,Object> formParams,
                                              String[] authNames,
                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                       throws ApiException

      Build an HTTP request with the given options.
      Parameters:
        `path` - The sub-path of the HTTP URL
        `method` - The request method, one of "GET", "HEAD", "OPTIONS", "POST", "PUT", "PATCH" and "DELETE"
        `queryParams` - The query parameters
        `collectionQueryParams` - The collection query parameters
        `body` - The request body object
        `headerParams` - The header parameters
        `formParams` - The form parameters
        `authNames` - The authentications to apply
        `progressRequestListener` - Progress request listener
      Returns:
        The HTTP request
      Throws:
        `ApiException` - If fail to serialize the request body object

Copyright © 2026. All rights reserved.